# 📱 AppSAV – Application de Gestion de Stock SAV

AppSAV est une application mobile destinée à la gestion du stock de pièces détachées pour une entreprise spécialisée dans la réparation d’appareils. Elle permet à l’utilisateur de gérer efficacement les matériels, les pièces associées, ainsi que le suivi des mouvements de stock.

---

## ✨ Fonctionnalités principales

- 🔧 **Gestion des appareils**
  - Ajout, modification et suppression d'appareils.
  - Affectation d’un identifiant unique, d’un nom et d’un état à chaque appareil.

- 🔗 **Association des pièces détachées aux appareils**
  - Attribution de pièces à un appareil.
  - Indication des pièces recommandées.

- 🔍 **Recherche par appareil**
  - Trouver rapidement les pièces associées à un appareil.

- 📄 **Informations détaillées**
  - Détails sur les appareils (historique d’utilisation des pièces, etc.).
  - Détails sur les pièces (prix, stock, fournisseur…).

- 📦 **Gestion des pièces détachées**
  - Ajout, modification, suppression.
  - Gestion du stock.

- 📊 **Suivi des entrées/sorties**
  - Mouvements de stock avec commentaires (entrée, sortie, quantité, etc.).

- 🏭 **Gestion des fournisseurs**
  - Ajout, modification, suppression des fournisseurs.
  - Coordonnées de contact.

---

## 🛠️ Technologies utilisées

- 🧩 **.NET MAUI (.NET 8.0)**
- 🗄️ **SQLite** (base de données locale)
- 🖥️ **IDE** : Rider / Visual Studio
- 🧪 Méthode agile : **Scrum**

---

## 🚀 Installation

### Prérequis

- [.NET MAUI SDK](https://learn.microsoft.com/en-us/dotnet/maui/overview/) (version 8.0)
- Android Emulator ou appareil physique
- IDE compatible : JetBrains Rider ou Visual Studio 2022+
- Git

### Instructions

```bash
# Cloner le projet
git clone https://gitea.btssio-poitiers.fr/brunetg/AppSAV.git
cd AppSAV

# Restaurer les dépendances
dotnet restore

# Lancer l’application
dotnet build
dotnet maui run --framework net8.0-android
```

---

## 📁 Structure de projet

```
/AppSAV
 ├── Data/          # Contient les fichiers relatifs à la base de données
 ├── Helpers/       # Contient une commande asynchrone qui contourne l'installation de CommunityToolKit
 ├── Models/        # Contient les entités de l'application
 ├── ViewModels/    # Contient la gestion de données de l'interface utilisateur
 └── Views/         # Contient les pages et le Code-Behind associé
```

---

## 📄 Licence

Projet pédagogique réalisé dans le cadre de l'AP du S4 de BTS - SIO : SLAM (Lycée Aliénor d'Aquitaine) Session 2025.

---

## 👥 Auteurs

- **Axel BESBOT**
- **Yann ASTIER**
- **Giovanny BRUNET**
- **Kylian BAYARD**
- **Lucas RAGUENEAU**

Encadré par : *Louis BOUSSARIE* – *Romaric THIBAULT FERRAND*
